Skip to main content
GET
/
usage
/
end-users
/
{end_user_id}
/
stats
Get end user usage stats
curl --request GET \
  --url https://app.usechar.ai/api/usage/end-users/{end_user_id}/stats \
  --header 'Authorization: Bearer <token>'
{
  "total_requests": 123,
  "total_prompt_tokens": 123,
  "total_completion_tokens": 123,
  "total_tokens": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.usechar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

WorkOS JWT token. Obtain via WorkOS AuthKit authentication flow. The token must include organization_id claim for organization-scoped endpoints.

Path Parameters

end_user_id
string<uuid>
required

End user ID to get stats for

Response

OK

Aggregated token usage statistics

total_requests
number
required

Total number of chat requests

total_prompt_tokens
number
required

Total prompt (input) tokens used

total_completion_tokens
number
required

Total completion (output) tokens used

total_tokens
number
required

Total tokens used (prompt + completion)